CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-15379

A vulnerability in which the HTTP web server for Cisco Prime Infrastructure (PI) has unrestricted directory permissions could allow an unauthenticated, remote attacker to upload an arbitrary file. This file could allow the attacker to execute commands at the privilege level of the user prime. This user does not have administrative or root privileges. The vulnerability is due to an incorrect permission setting for important system directories. An attacker could exploit this vulnerability by uploading a malicious file by using TFTP, which can be accessed via the web-interface GUI. A successful exploit could allow the attacker to run commands on the targeted application without authentication.
Publish Date : 2018-10-05 Last Update Date : 2019-01-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 275

- Products Affected By CVE-2018-15379

# Product Type Vendor Product Version Update Edition Language
1 Application Cisco Prime Infrastructure 3.2 Version Details Vulnerabilities
2 Application Cisco Prime Infrastructure 3.2 Fips Version Details Vulnerabilities
3 Application Cisco Prime Infrastructure 3.2(2.0) Version Details Vulnerabilities
4 Application Cisco Prime Infrastructure 3.2(0.0) Version Details Vulnerabilities
5 Application Cisco Prime Infrastructure 3.2(1.0) Version Details Vulnerabilities
6 Application Cisco Prime Infrastructure 3.3 Version Details Vulnerabilities
7 Application Cisco Prime Infrastructure 3.3(0.0) Version Details Vulnerabilities
8 Application Cisco Prime Infrastructure 3.4 Version Details Vulnerabilities
9 Application Cisco Prime Infrastructure 3.4(0.0) Version Details Vulnerabilities
10 Application Cisco Prime Infrastructure 3.5(0.0) Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Cisco Prime Infrastructure 10

- References For CVE-2018-15379

http://www.securitytracker.com/id/1041816
SECTRACK 1041816
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20181003-pi-tftp
CISCO 20181003 Cisco Prime Infrastructure Arbitrary File Upload and Command Execution Vulnerability
https://www.exploit-db.com/exploits/45555/
EXPLOIT-DB 45555
http://www.securityfocus.com/bid/105506
BID 105506 Cisco Prime Infrastructure CVE-2018-15379 Arbitrary File Upload Vulnerability Release Date:2018-10-03

- Metasploit Modules Related To CVE-2018-15379

Cisco Prime Infrastructure Unauthenticated Remote Code Execution
Cisco Prime Infrastructure (CPI) contains two basic flaws that when exploited allow an unauthenticated attacker to achieve remote code execution. The first flaw is a file upload vulnerability that allows the attacker to upload and execute files as the Apache Tomcat user; the second is a privilege escalation to root by bypassing execution restrictions in a SUID binary. This module exploits these vulnerabilities to achieve unauthenticated remote code execution as root on the CPI default installation. This module has been tested with CPI 3.2.0.0.258 and 3.4.0.0.348. Earlier and later versions might also be affected, although 3.4.0.0.348 is the latest at the time of writing. The file upload vulnerability should have been fixed in versions 3.4.1 and 3.3.1 Update 02.
Module type : exploit Rank : excellent Platforms : Linux


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.